import Layout from '@/layout'

export default {
  path: '/service',
  component: Layout,
  meta: { title: '服务商入驻', icon: 'link' },
  name: 'Service',
  redirect: '/service/settlement',
  alwaysShow: true,
  children: [
    {
      path: 'settlement',
      name: 'Settlement',
      meta: { title: '入驻列表', icon: 'component' },
      redirect: '/service/settlement/list',
      component: () => import('@/views/index'),
      children: [
        {
          path: 'list',
          hidden: true,
          component: () => import('@/views/serviceSettlement/list/index.vue'),
          name: 'SettlementList',
          meta: { title: '入驻列表', activeMenu: '/service/settlement' }
        },
        {
          path: 'edit',
          hidden: true,
          component: () => import('@/views/serviceSettlement/list/edit.vue'),
          name: 'SettlementEdit',
          meta: { title: '编辑列表', noCache: true, activeMenu: '/service/settlement' }
        },
        {
          path: 'contract',
          hidden: true,
          component: () => import('@/views/index'),
          name: 'Contract',
          redirect: '/service/settlement/contract/list',
          meta: { title: '合同管理', noCache: true, activeMenu: '/service/settlement' },
          children: [
            {
              path: 'edit',
              hidden: true,
              component: () => import('@/views/serviceSettlement/contract/edit.vue'),
              name: 'Edit',
              meta: { title: '合同编辑', noCache: true, activeMenu: '/service/settlement' }
            },
            {
              path: 'list',
              hidden: true,
              component: () => import('@/views/serviceSettlement/contract/index.vue'),
              name: 'ContractList',
              meta: { title: '合同列表', noCache: true, activeMenu: '/service/settlement' }
            }
          ]
        }
      ]
    }
  ]
}
